> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get Organization Structures

GET https://api.letsdeel.com/rest/hris/organization_structures

Returns the organization's hierarchical structure, including departments and teams, with offset-based pagination.

 **Token scopes**: `organizations:read`

Reference: https://developer.deel.com/api/reference/endpoints/organization-structure/get-organization-structures

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `offset` (long, optional, default: 0) — Return a page of results with given number of records.
- `limit` (double, optional) — Return a page of results with given number of records.

## Response

### 200

Successful operation

- `data` (list of HrisOrganizationStructuresGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### HrisOrganizationStructuresGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, optional) — The unique identifier of the Org Structure.
- `name` (string, optional) — The name of the Org Structure.
- `type` (string, optional) — The type of the Org Structure.
- `roles` (list of HrisOrganizationStructuresGetResponsesContentApplicationJsonSchemaDataItemsRolesItems, optional)
- `teams` (list of HrisOrganizationStructuresGetResponsesContentApplicationJsonSchemaDataItemsTeamsItems, optional)
- `created_at` (string, optional) — The date and time when the Org Structure was created.
- `external_id` (string, optional, nullable) — The external identifier of the Org Structure.
- `teams_count` (integer, optional) — The number of Teams in the Org Structure.
- `enable_roles` (boolean, optional) — Whether the Org Structure has Roles enabled.
- `is_multiselect` (boolean, optional) — Whether the Org Structure is multiselect.

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### HrisOrganizationStructuresGetResponsesContentApplicationJsonSchemaDataItemsRolesItems

- `id` (string, optional) — The unique identifier of the Role.
- `name` (string, optional) — The name of the Role.

### HrisOrganizationStructuresGetResponsesContentApplicationJsonSchemaDataItemsTeamsItems

- `id` (string, optional) — The unique identifier of the Team.
- `name` (string, optional) — The name of the Team.
- `parent` (string, optional, nullable) — The name of the parent Org Structure.
- `children` (list of HrisOrganizationStructuresGetResponsesContentApplicationJsonSchemaDataItemsTeamsItemsChildrenItems, optional)
- `created_at` (string, optional) — The date and time when the Org Structure was created.
- `name_route` (string, optional, nullable) — The route name of the Team.
- `external_id` (string, optional, nullable) — The external identifier of the Team.

### HrisOrganizationStructuresGetResponsesContentApplicationJsonSchemaDataItemsTeamsItemsChildrenItems

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
      "name": "Engineering",
      "type": "department",
      "roles": [
        {
          "id": "85b54219-8456-4072-bee8-71e2d88452fa",
          "name": "Software Engineer"
        }
      ],
      "teams": [
        {
          "id": "ba46af84-2f15-42f3-b171-d7d9e0abb274",
          "name": "Software Engineer",
          "parent": "Business",
          "children": [
            {}
          ],
          "created_at": "2023-10-01T12:00:00Z",
          "name_route": "software-engineer",
          "external_id": "ba46af84-2f15-42f3-b171-d7d9e0abb274"
        }
      ],
      "created_at": "2023-10-01T12:00:00Z",
      "external_id": "engineering",
      "teams_count": 3,
      "enable_roles": true,
      "is_multiselect": false
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/hris/organization_structures"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/hris/organization_structures';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/hris/organization_structures"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/hris/organization_structures")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/hris/organization_structures")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/hris/organization_structures', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/hris/organization_structures");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/hris/organization_structures")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```